interface IToggleProps {
  callback: () => void;
  isOn: boolean;
}

export const Toggle = (props: IToggleProps) => {
  const { callback, isOn } = props;

  return <div className="toggle">
    <input type="checkbox" className="toggle-switch" id="toggle-switch" checked={isOn} />
    <label htmlFor="toggle-switch" className="toggle-label" onClick={() => callback()}></label>
  </div>;
}